cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joerg Heinicke <joerg.heini...@gmx.de>
Subject Re: Tomcat won't expand cocoon.war
Date Fri, 25 Jun 2004 23:47:48 GMT
On 25.06.2004 17:28, Colin Paul Adams wrote:

> So I did a ./build.sh war and copied the resulting cocoon.war to the
> tomcat webapps directory.

Absolutely correct.

> When tomcat (4.1.27 - as installed from RPMs supplied with FC2) starts
> up it issues messages to say it can't expand cocoon.war - specifically
> it reports a java.io.FileNotFoundException for
> /usr/share/tomcat/webapps/cocoon/WEB-INF/lib/excalibur-logger-1.1.jar 
> (I'm typing this, not cutting and pasting).
> 
> I checked the cocoon.war with a jar tf cocoon.war command and it's in
> there OK.

Really strange. I guess Tomcat reads the WAR's manifest file and does 
not find a mentioned JAR. Can you assure that it is exactly the correct 
spelling of the JAR's name?

> Have I missed out any steps (the Cocoon installation page
> (http://cocoon.apache.org/2.1/installing/index.html) doesn't mention
> any tomcat as new as this.

No, this page is really outdated as you can see. The installation is as 
easy as you did it and really similar for almost every servlet 
container, the page makes to many differents on them. Building a WAR, 
deploying it in webapps dir and solving the endorsed libs problem should 
be sufficient for every Tomcat version.

Joerg

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message